normalhypersurfaces.h File Reference

Contains a packet representing a collection of normal hypersurfaces in a 4-manifold triangulation. More...

`#include <algorithm>`
`#include <iterator>`
`#include <vector>`
`#include "regina-core.h"`
`#include "hypersurface/hypercoords.h"`
`#include "hypersurface/hyperflags.h"`
`#include "hypersurface/normalhypersurface.h"`
`#include "packet/packet.h"`
`#include "utilities/memutils.h"`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
class | regina::NormalHypersurfaces
| A packet representing a collection of normal hypersurfaces in a 4-manifold triangulation. More...
class | regina::NormalHypersurfaces::VectorIterator
| A bidirectional iterator that runs through the raw vectors for hypersurfaces in this list. More...
struct | regina::NormalHypersurfaces::HypersurfaceInserter
| An output iterator used to insert hypersurfaces into an NormalHypersurfaces. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef NormalHypersurfaces | regina::NNormalHypersurfaceList
| Deprecated typedef for backward compatibility. More...

## Functions

NormalHypersurfaceVector * | regina::makeZeroVector (const Triangulation< 4 > *triangulation, HyperCoords coords)
| Returns a new normal hypersurface vector of the appropriate length for the given triangulation and the given coordinate system. More...
MatrixInt * | regina::makeMatchingEquations (const Triangulation< 4 > *triangulation, HyperCoords coords)
| Creates a new set of normal hypersurface matching equations for the given triangulation using the given coordinate system. More...
EnumConstraints * | regina::makeEmbeddedConstraints (const Triangulation< 4 > *triangulation, HyperCoords coords)
| Creates a new set of validity constraints representing the condition that normal hypersurfaces be embedded. More...

## Detailed Description

Contains a packet representing a collection of normal hypersurfaces in a 4-manifold triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).